From 8e3ffac22d2888ed0094ed3a172257836250ccbf Mon Sep 17 00:00:00 2001
From: Jonas Smedegaard <dr@jones.dk>
Date: Sun, 23 Nov 2014 15:45:48 +0100
Subject: [PATCH 4/5] Update PXELINUX modules to be in sync with PXELINUX
 itself.

---
 di-netboot-assistant | 12 ++++++++++++
 1 file changed, 12 insertions(+)

diff --git a/di-netboot-assistant b/di-netboot-assistant
index 7b93e11..d581507 100755
--- a/di-netboot-assistant
+++ b/di-netboot-assistant
@@ -919,6 +919,18 @@ setup_syslinux() {
 	if ! copy_syslinux_bin "$expand_dir" "$TFTP_ROOT/debian-installer/" ; then
 		echo "E: No PXELinux menu installed. Please file a bug." 1>&2
 	fi
+	# ensure only a single PXELINUX version is used for all its modules
+	for f in $(find "$expand_dir" -type f -name '*.c32'); do
+		case $(basename "$f") in
+		  vesamenu.c32|menu.c32)
+			cp -pft "$(dirname "$f")" "$TFTP_ROOT/debian-installer/pxelinux.cfg/$(basename "$f")"
+			;;
+		  *)
+			echo "W: Unusual PXELINUX module \"$f\" may not work." 1>&2
+			continue
+			;;
+		esac
+	done
 
 	for f in $(find "$expand_dir" -type f -a \( -name "default" -o -name "boot.txt" -o -name '*.cfg' \) ); do
 		mv "$f" "$f.ORIG"
-- 
2.1.3

